lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'caligari/version'

Gem::Specification.new do |gem|
  gem.name     = 'caligari'
  gem.version  = Caligari::VERSION
  gem.authors  = ['Robin Owen']
  gem.email    = ['vthrenody@gmail.com']
  gem.homepage = 'https://github.com/vthrenody/caligari'
  gem.platform = Gem::Platform::RUBY
  gem.license  = 'MIT'
  
  gem.summary     = 'Caligari symbolically links configuration files.'
  gem.description = %{
    Caligari is designed to allow the quick and easy installation of
    configuration files by symbolically linking files from external sources
    directly to the user's home directory.
  }.gsub!(/\s+/, " ").strip
  
  %w(bundler md2man rake yard).each do |dep|
    gem.add_development_dependency(dep)
  end
  gem.add_dependency('trollop')
  
  gem.files        = `git ls-files -z`.split("\x0")
  gem.files       += Dir['man/man?/*.?'] # Explicitly add generated man page.
  gem.executables  = 'caligari'
  gem.require_path = 'lib'
end
